org.h2.mvstore.cache

## Class CacheLongKeyLIRS.Config

- java.lang.Object
- - org.h2.mvstore.cache.CacheLongKeyLIRS.Config

Enclosing class:
  CacheLongKeyLIRS<V>

    public static class CacheLongKeyLIRS.Config
    extends java.lang.Object

The cache configuration.

### Field Summary

Fields
`long` `maxMemory` The maximum memory to use (1 or larger).
`int` `nonResidentQueueSize` Low water mark for the number of entries in the non-resident queue, as a factor of the number of all other entries in the map.
`int` `nonResidentQueueSizeHigh` High watermark for the number of entries in the non-resident queue, as a factor of the number of all other entries in the map
`int` `segmentCount` The number of cache segments (must be a power of 2).
`int` `stackMoveDistance` How many other item are to be moved to the top of the stack before the current item is moved.

### Constructor Summary

Constructors
Constructor and Description
`Config()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### maxMemory

    public long maxMemory

The maximum memory to use (1 or larger).

#### segmentCount

    public int segmentCount

The number of cache segments (must be a power of 2).

#### stackMoveDistance

    public int stackMoveDistance

How many other item are to be moved to the top of the stack before the current item is moved.

#### nonResidentQueueSize

    public final int nonResidentQueueSize

Low water mark for the number of entries in the non-resident queue, as a factor of the number of all other entries in the map.

See Also:
  Constant Field Values

#### nonResidentQueueSizeHigh

    public final int nonResidentQueueSizeHigh

High watermark for the number of entries in the non-resident queue, as a factor of the number of all other entries in the map

See Also:
  Constant Field Values

### Constructor Detail

#### Config

    public Config()